require 'erb'
require 'controller/base_controller'

class Handler

  def initialize(controller)
    @default_controller = controller
  end
  
  # call-seq:
  #   process(request, response)  -> nil
  #
  #   This method populates response with the header and
  #   body of the HTTP response approriate for the given
  #   request.
  def process(request, response)
    begin
      # TODO: your code goes here
      
      response.success do |head, out|
        head["Content-type"] = "text/html"
        out.write("Hello World")
      end
    rescue Exception => e
      message = e.message
      message << "<br/>\n"
      message << e.backtrace.join("<br/>\n")
      response.server_error do |header, out|
        header["Content-type"] = "text/html"
        out.write(message)
      end
    end
  end

  private
  # Converts a String of the form "foo_bar" to a
  # String of the form "FooBar"
  def ruby_case(s)
    s.downcase.gsub(/^([a-z])/) { $1.upcase }.gsub(/_([a-z])/) { $1.upcase }
  end
end

