# Both classes defined are subclasses of the
# type Hash. This means the respond to the
# messages [] and []=. In fact, this is how
# the controller customizes 

class ERBRenderer < Hash
  
  def initialize(binding)
    @binding = binding
    self[:type] = "text/html"
  end

  # _controller_name_ and _action_name_ are the
  # name of the controller and action, respectively,
  # to be used to find the ERB template.
  # The path of the template will be:
  # "#{File.dirname(__FILE__)}/views/#{controller_name}/#{action_name}"
  #
  # These values can be overriden by self[:action]
  # and self[:controller]
  def result(controller_name, action_name)
    # TODO: your code goes here
    "Implement me in renderers.rb"
  end
end

class TextRenderer < Hash

  def initialize
    self[:type] = "text"
  end

  # _controller_name_ and _action_name_ are not
  # used in this renderer.
  def result(controller_name = nil, action_name = nil)
    self[:text]
  end

end
